Schema
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
AuthorizationstringOptional
Bearer <access_token>
OriginstringOptional
Origin as you set in application cors
Body
namespacestringRequiredExample:
Namespace to be added in did.
testnetverificationMethodIdstringRequiredExample:
Verification Method id for did updation
did:hid:testnet:........#key-${idx}Responses
201
Schema Created
application/json
400
Error occured at the time of creating schema
application/json
404
Error in finding resource
application/json
post
/api/v1/schemaget
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptionalDefault:
Page value
1limitnumberOptionalDefault:
Fetch limited list of data
10Header parameters
AuthorizationstringOptional
Bearer <access_token>
OriginstringOptional
Origin as you set in application cors
Responses
200
Schema List
application/json
totalCountnumberRequiredExample:
totalCount
12404
No schema has created
application/json
get
/api/v1/schemaget
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
schemaIdstringRequired
Header parameters
AuthorizationstringOptional
Bearer <access_token>
OriginstringOptional
Origin as you set in application cors
Responses
200
Resolved schema detail
application/json
typestringRequiredExample:
type
https://w3c-ccg.github.io/vc-json-schemas/v1/schema/1.0/schema.jsonmodelVersionstringRequiredExample:
version of model
1.0idstringRequiredExample:
schema id
sh:his:testnet:.................namestringRequiredExample:
name of the schema
schema for railway ticketauthorstringRequiredExample:
issuer did
did:hid:testnet:..........authoredstringRequiredExample:
Time of schema creation
2023-01-24T14:35:53Z404
sch:hid:testnet:...... not on chain
application/json
get
/api/v1/schema/{schemaId}Last updated